# metaInf

open fun metaInf(@DelegatesTo(value = CopySpec::class) configureClosure: Closure<out Any>): CopySpec

Adds content to this JAR archive's META-INF directory.

The given closure is executed to configure a `CopySpec`. The org.gradle.api.file.CopySpec is passed to the closure as its delegate.

#### Return

The created `CopySpec`

#### Parameters

configureClosure

The closure.

open fun metaInf(configureAction: Action<in CopySpec>): CopySpec

Adds content to this JAR archive's META-INF directory.

The given action is executed to configure a `CopySpec`.

#### Return

The created `CopySpec`

#### Since

3.5

#### Parameters

configureAction

The action.